- Qt 6.4
- Qt D-Bus
- CMake Commands in Qt6 DBus
- qt_generate_dbus_interface
- Qt 6.4.2 Reference Documentation

# qt_generate_dbus_interface

Generates a D-Bus interface from a header file.

The command is defined in the `DBus` component of the `Qt6` package. Load the package with:

     find_package(Qt6 REQUIRED COMPONENTS DBus)

This command was introduced in Qt 6.0.

## Synopsis

     qt_generate_dbus_interface(header
         [customName]
         [OPTIONS options]
     )

If versionless commands are disabled, use `qt6_generate_dbus_interface()` instead. It supports the same set of arguments as this command.

## Description

Parses the C++ source or header file containing a QObject-derived class declaration and generates a file containing the D-BUS Introspection XML.

By default, the generated XML file is stored in the current binary directory, and has the same base name as the header. You can specify a different name or path by adding `customName` as an optional second argument.

## Options

The function sets up a call to the `qdbuscpp2xml` command line tool. Further arguments to the tool can be set after `OPTIONS`.